解决:Information:java: javacTask: 源发行版 8 需要目标发行版 1.8

Information:java: javacTask: 源发行版 8 需要目标发行版 1.8

在编译一个小测试的时候出现此错误:
在这里插入图片描述
此问题我第一是去看项目配置的地方,
在这里插入图片描述
发现我配置的 Sources 和 Dependencies 里边都是jdk 1.8的。

根据以上错误显示以及上述配置,我选择的编译器是jdk1.8的,但是在idea里边选择的编译版本是不一致的,所以会导致以上问题,

解决问题: 配置idea的编译版本
file -> settings 然后如下:
在这里插入图片描述
这里原本是6 ,改成8 , 点击ok 即可。

然后重新运行,通过。

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 撸撸猫 设计师:设计师小姐姐 返回首页